Bug 78859 - ORBit doesn't work correctly on Linux 2.5 (needs trivial patch)
ORBit doesn't work correctly on Linux 2.5 (needs trivial patch)
Product: Red Hat Raw Hide
Classification: Retired
Component: ORBit (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-12-02 07:09 EST by Luca Barbieri
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-09 13:57:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luca Barbieri 2002-12-02 07:09:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20021003

Description of problem:
ORBit assumes the existence of a bug in getpeername, which is no longer present
in 2.5 kernels.

This causes Evolution to malfunction.

The patch is a one-line change and is contained in this message to the
evolution-hackers mailing list:

This patch solves the problem on my system: please apply.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot Linux 2.5.49 (any other recent 2.5 kernel should also cause the problem)
2. Start Evolution (which uses ORBit)
3. Try to send a message

Actual Results:  Evolution hangs.

Expected Results:  The message is sent.

Additional info:
Comment 1 Michael Lee Yohe 2002-12-02 09:42:15 EST
I wouldn't consider this a bug considering Red Hat does not release any of the
2.5 development kernels.  It should be up to the user to patch everything on
his/her system to accomodate a newer kernel.

Otherwise - all of us people who choose a vanilla Red Hat system would be
affected by the patch as well (could cause regression problems n' such).

Since the 2.6 kernel will relatively be new by the time the new Red Hat
distribution is released (if the 2.6 kernel is even released by that point),
even filing this bug as an enhancement seems trivial at best.
Comment 2 Havoc Pennington 2002-12-02 09:56:21 EST
Well, it's good to know about this anyhow.
I wonder how the heck orbit manages to get confused
by this change...
Comment 3 Luca Barbieri 2003-01-09 13:57:26 EST
The bug turned out to be a kernel bug, fixed in 2.5.55: when getpeername was
called on a unix socket, the kernel returned the name of the socket itself
rather than the one of the peer.

Please don't apply the workaround patch.

Note You need to log in before you can comment on or make changes to this bug.